%define upstream_name    ldap
%define upstream_version 0.66

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Perl modules for ldap
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{name}/
Source0:    ftp://ftp.perl.org/pub/CPAN/modules/by-module/Net/%{name}-%{upstream_version}.tar.gz

BuildRequires: perl(Authen::SASL) >= 2.0.0
BuildRequires: perl(Convert::ASN1) >= 0.200.0
BuildRequires: perl(Digest::HMAC_MD5)
BuildRequires: perl(Digest::MD5)
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.590.0
BuildRequires: perl(File::Basename)
BuildRequires: perl(File::Compare)
BuildRequires: perl(File::Path)
BuildRequires: perl(HTTP::Negotiate)
BuildRequires: perl(HTTP::Response)
BuildRequires: perl(HTTP::Status)
BuildRequires: perl(IO::File)
BuildRequires: perl(IO::Socket::SSL) >= 1.260.0
BuildRequires: perl(JSON)
BuildRequires: perl(LWP)
BuildRequires: perl(LWP::MediaTypes)
BuildRequires: perl(LWP::Protocol)
BuildRequires: perl(MIME::Base64)
BuildRequires: perl(Test::More)
BuildRequires: perl(Text::Soundex)
BuildRequires: perl(Time::Local)
BuildRequires: perl(URI::ldap) >= 1.100.0
BuildRequires: perl(XML::SAX::Base)
BuildRequires: perl(XML::SAX::Writer)
BuildRequires: openldap-servers
BuildRequires: perl-devel >= 5.8.0
BuildArch:  noarch

Requires:   perl(Authen::SASL)  >= 2.0.0
Requires:   perl(Convert::ASN1) >= 0.70.0
Requires:   perl(XML::Parser)
%description
The perl-ldap distribution is a collection of perl modules
which provide an object-oriented interface to LDAP servers.

%prep
%setup -q -n %{name}-%{upstream_version}

# perl path
find -type f | xargs perl -pi -e "s|/usr/local/bin/perl|%{_bindir}/perl|g"
chmod 644 contrib/*

cat > test.cfg << EOF
\$SERVER_EXE = "%{_sbindir}/slapd";
\$SERVER_TYPE = "openldap2+ssl+ipc+sasl";
\$SLAPD_DB = "bdb";
\$HOST = "127.0.0.1";
\$SCHEMA_DIR = "%{_datadir}/openldap/schema";
\$EXTERNAL_TESTS = 0;
1;
EOF

%build
find -name \*.pm | xargs chmod 644
%__perl Makefile.PL INSTALLDIRS=vendor
%make

%check
%make test

%install
%make_install

%files
%doc CREDITS Changes INSTALL META.json MYMETA.yml README SIGNATURE TODO
%{perl_vendorlib}/LWP
%{perl_vendorlib}/Bundle
%{perl_vendorlib}/Net
%{_mandir}/*/*

%changelog
* Sat Feb 15 2020 umeabot <umeabot> 0.660.0-2.mga8
+ Revision: 1527216
- Mageia 8 Mass Rebuild

* Thu Jul 11 2019 tv <tv> 0.660.0-1.mga8
+ Revision: 1420126
- update to 0.66

* Thu Sep 20 2018 umeabot <umeabot> 0.650.0-6.mga7
+ Revision: 1287494
- Mageia 7 Mass Rebuild

* Tue Oct 03 2017 tv <tv> 0.650.0-5.mga7
+ Revision: 1165105
- rebuild with fixed rpm for missing autodeps

* Wed Sep 27 2017 tv <tv> 0.650.0-4.mga7
+ Revision: 1160319
- add BR on perl(inc::Module::Install)

* Sun Jun 19 2016 pterjan <pterjan> 0.650.0-3.mga6
+ Revision: 1029130
- Rebuild for perl 5.22.2

* Fri Feb 19 2016 umeabot <umeabot> 0.650.0-2.mga6
+ Revision: 968455
- Mageia 6 Mass Rebuild

* Tue Jul 07 2015 sander85 <sander85> 0.650.0-1.mga6
+ Revision: 852490
- update to 0.65

* Wed Oct 15 2014 umeabot <umeabot> 0.620.0-3.mga5
+ Revision: 740957
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.620.0-2.mga5
+ Revision: 687034
- Mageia 5 Mass Rebuild

* Fri Apr 25 2014 jquelin <jquelin> 0.620.0-1.mga5
+ Revision: 617748
- update to 0.62

* Fri Oct 18 2013 umeabot <umeabot> 0.490.0-5.mga4
+ Revision: 521870
- Mageia 4 Mass Rebuild

* Fri Jan 25 2013 sander85 <sander85> 0.490.0-4.mga3
+ Revision: 392241
- Add missing buildrequires

* Sun Jan 13 2013 umeabot <umeabot> 0.490.0-3.mga3
+ Revision: 375466
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Nov 30 2012 neoclust <neoclust> 0.490.0-2.mga3
+ Revision: 323440
- Bump release with fixed buildrequires

* Mon Oct 15 2012 jquelin <jquelin> 0.490.0-1.mga3
+ Revision: 306563
- update to 0.49
- update to 0.49

* Fri Sep 28 2012 jquelin <jquelin> 0.480.0-1.mga3
+ Revision: 298993
- update to 0.48

* Sat Jun 11 2011 spuhler <spuhler> 0.400.100-4.mga3
+ Revision: 104004
- increase rel for rebuild

* Sat Jan 22 2011 jquelin <jquelin> 0.400.100-3.mga1
+ Revision: 32753
- rebuild
- mageia rebuild

* Thu Jan 20 2011 erwan <erwan> 0.400.100-2.mga1
+ Revision: 27522
- Rebuild

* Sun Jan 09 2011 jquelin <jquelin> 0.400.100-1.mga1
+ Revision: 3546
- imported package perl-ldap

